using ProjectManagementSystem.Device.Function;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjectManagementSystem.Device.CasunBox
{
    public class CommandQuery : BoxCommandBase
    {
        public override byte[] Serialization()
        {
            int route = 0x3030 + Route;
            buffer[6] = (byte)((route >> 8) & 0xFF);
            buffer[7] = (byte)(route & 0xFF);
            buffer[12] = Tools.XOR_Check(buffer, 12);

            return buffer;
        }
    }
}

